#
# spec file for package libsexy
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libsexy
BuildRequires:  gtk2-devel
BuildRequires:  iso-codes-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  popt-devel
BuildRequires:  update-desktop-files
# Only for directory ownership check:
BuildRequires:  gtk-doc
Version:        0.1.11
Release:        197.1
Url:            http://www.chipx86.com/wiki/Libsexy
Summary:        Extended Widgets for GTK+
License:        LGPL-2.1+
Group:          Development/Libraries/GNOME
Source:         %{name}-%{version}.tar.bz2
Requires:       iso-codes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A set of extensions on top of GTK+ widgets, to provide extra
functionality.



Authors:
--------
    Christian Hammond <chipx86@chipx86.com>

%package devel
Summary:        Extended Widgets for GTK+
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}
Requires:       gtk2-devel

%description devel
A set of extensions on top of GTK+ widgets, to provide extra
functionality.



Authors:
--------
    Christian Hammond <chipx86@chipx86.com>

%package doc
Summary:        Extended Widgets for GTK+
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
A set of extensions on top of GTK+ widgets, to provide extra
functionality.



Authors:
--------
    Christian Hammond <chipx86@chipx86.com>

%prep
%setup

%build
autoreconf -f -i
%configure --with-pic\
	--disable-static
make %{?jobs:-j%jobs}

%install
%makeinstall
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/*

%changelog
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Nov 23 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sat Feb 28 2009 crrodriguez@suse.de
- remove  libtool "la" files
- fix -devel package dependencies
* Fri Apr  6 2007 sbrabec@suse.cz
- Updated to version 0.1.11:
  * API additions, improvements and bug fixes.
  * Devhelp documentation.
  * See NEWS for more.
* Wed Feb  7 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552).
* Tue Dec 12 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Jan 27 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 sbrabec@suse.cz
- Build with iso-codes.
* Wed Jan 18 2006 dobey@suse.de
- Add -fno-strict-aliasing to CFLAGS
- Fix Requires for libsexy-devel to depend on gtk2-devel
* Thu Jan 12 2006 dobey@suse.de
- Import libsexy into autobuild for notifications
